Bug 824629 - (CVE-2012-2922) CVE-2012-2922 drupal7: full path disclosure vulnerability
CVE-2012-2922 drupal7: full path disclosure vulnerability
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120510,repor...
: Security
Depends On: 824631 824632
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 16:49 EDT by Vincent Danen
Modified: 2012-06-05 18:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-05 18:10:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-05-23 16:49:23 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2012-2922 to
the following vulnerability:

Name: CVE-2012-2922
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-2922
Assigned: 20120521
Reference: BUGTRAQ:20120510 Drupal 7.14 <= Full Path Disclosure Vulnerability
Reference: http://archives.neohapsis.com/archives/bugtraq/2012-05/0052.html
Reference: BUGTRAQ:20120510 Drupal 7.14 <= Full Path Disclosure Vulnerability (Update)
Reference: http://archives.neohapsis.com/archives/bugtraq/2012-05/0053.html
Reference: BUGTRAQ:20120510 Re: Drupal 7.14 <= Full Path Disclosure Vulnerability
Reference: http://archives.neohapsis.com/archives/bugtraq/2012-05/0055.html
Reference: http://www.securityfocus.com/bid/53454
Reference: SECUNIA:49131
Reference: http://secunia.com/advisories/49131
The request_path function in includes/bootstrap.inc in Drupal 7.14 and
earlier allows remote attackers to obtain sensitive information via
the q[] parameter to index.php, which reveals the installation path in
an error message.
Comment 1 Vincent Danen 2012-05-23 16:51:56 EDT
Created drupal7 tracking bugs for this issue

Affects: fedora-all [bug 824631]
Affects: epel-all [bug 824632]

Note You need to log in before you can comment on or make changes to this bug.